<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AgentPricing extends Model
{
    protected $fillable = [
        'user_id',
        'bundle_id',
        'network_id',
        'price',
        'status'
    ];

    protected $table = 'agent_pricing';

    /**
     * Get the user that owns this pricing
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * Get the bundle this pricing belongs to
     */
    public function bundle()
    {
        return $this->belongsTo(Bundle::class);
    }

    /**
     * Get the network this pricing belongs to
     */
    public function network()
    {
        return $this->belongsTo(Network::class);
    }
}